org.apache.lucene.search

## Class SpanFilterResult.PositionInfo

- java.lang.Object
- - org.apache.lucene.search.SpanFilterResult.PositionInfo

- Enclosing class:
    SpanFilterResult

      public static class SpanFilterResult.PositionInfo
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PositionInfo(int doc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPosition(int start, int end)`
    `int` | `getDoc()`
    `java.util.List` | `getPositions()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PositionInfo

          public PositionInfo(int doc)

  - ### Method Detail

    - #### addPosition

          public void addPosition(int start,
                                  int end)

    - #### getDoc

          public int getDoc()

    - #### getPositions

          public java.util.List getPositions()

      Returns:
        A List of `SpanFilterResult.StartEnd` objects

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.